Summary: Key fingerprinting tools
Name: roca-detect
Version: 1.0.7
Release: 1%{dist}
Source0: https://github.com/crocs-muni/roca/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch: roca-detect-color.patch
License: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: python2-future python2-cryptography python-pgpdump
Requires: python-dateutil
BuildRequires: python2-future python2-cryptography python-pgpdump 
BuildRequires: python-setuptools
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Dusan Klinec <dusan.klinec@gmail.com>
Url: https://gitlab.fi.muni.cz/xklinec/fingerprinter

%description
# ROCA detection tool

This tool is related to [ACM CCS 2017 conference paper #124 Return of the Coppersmith’s Attack: Practical Factorization of Widely Used RSA Moduli](https://crocs.fi.muni.cz/public/papers/rsa_ccs17).

It enables you to test public RSA keys for a presence of the described vulnerability.

%prep
%setup -n roca-%{version}
%patch -p0 -b .color

%build
python setup.py build

%check
python -m unittest discover

%install
python setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%license LICENSE
%doc README.md docs

%changelog

* Wed Oct 18 2017 Stuart D. Gathman <stuart@gathman.org> 1.0.7-1
- Initial rpm
